cordova.define("suc-cordova-plugin-xpush.suc-cordova-plugin-xpush", function(require, exports, module) {
var exec = require('cordova/exec');
var channel = require('cordova/channel');

const plugin = "cordova-plugin-xpush";

module.exports = {
    _listeners: [],
    _intentHandler: undefined,
    // -- notification --
    fireEvent: function (event) {
        this._listeners.forEach(function (handler) {
            handler(event);
        });
    },
    addListener: function (listener) {
        this._listeners.push(listener);
    },
    removeListener: function (listener) {
        if (listener) {
            var idx = this._listeners.indexOf(handler);
            if (idx > -1) {
                this._listeners.splice(idx, 1);
            }
        }
        else {
            this._listeners = [];
        }
    },
    // -- intent --
    fireIntent: function (intentData) {
        if (this._intentHandler) {
            this._intentHandler(intentData);
        }
    },
    onNewIntent: function (handler) {
        this._intentHandler = handler;
    },
    // -- actions --
    ready: function () {
        exec(null, null, plugin, "ready", []);
    },
    getToken: function (success, error) {
        exec(success, error, plugin, "getToken", []);
    },
    getPlatform: function (success, error) {
        exec(success, error, plugin, "getPlatform", []);
    },
    getIntent: function (success, error) {
        exec(success, error, plugin, "getIntent", []);
    }
};

// channel.deviceready.subscribe(function () {
//     if (!window.skipLocalNotificationReady) {
//         exec(null, null, plugin, "ready", []);
//     }
// });

});
